import * as React from "react";
import { Listbox, ListboxOption } from "@reach/listbox";
import { VisuallyHidden } from "@reach/visually-hidden";
import { action } from "@storybook/addon-actions";
import { Tag, Taco } from "./common";
import "@reach/listbox/styles.css";

let name = "Basic";

function Example() {
	return (
		<div>
			<VisuallyHidden id="taco-label">Choose a taco</VisuallyHidden>
			<Listbox
				aria-labelledby="taco-label"
				defaultValue="asada"
				onChange={action("value changed")}
			>
				<ListboxOption value="default">
					Choose a taco <Taco />
				</ListboxOption>
				<hr />
				<ListboxOption value="asada">
					Carne Asada <Taco />
				</ListboxOption>
				<ListboxOption value="pollo" label="Pollo" disabled>
					Pollo <Taco /> <Tag>Sold Out!</Tag>
				</ListboxOption>
				<div style={{ background: "#ccc" }}>
					<ListboxOption value="pastor" label="Pastor">
						Pastor <Taco /> <Tag>Fan favorite!</Tag>
					</ListboxOption>
				</div>
				<ListboxOption value="lengua">
					Lengua <Taco />
				</ListboxOption>
			</Listbox>
		</div>
	);
}

Example.storyName = name;
export { Example };
