(window.webpackJsonp=window.webpackJsonp||[]).push([[35],{"./src/markdown/api/Link.md":function(n,a,s){"use strict";s.r(a),s.d(a,"title",function(){return o});var t=s("./node_modules/react/index.js"),p=s.n(t);const o="Link";a.default=function(){return p.a.createElement("div",{className:"markdown",dangerouslySetInnerHTML:{__html:'<h1>Link</h1>\n<p>Provides accessible navigation.</p>\n<pre><code class="language-jsx"><span class="token keyword">import</span> <span class="token punctuation">{</span> Link <span class="token punctuation">}</span> <span class="token keyword">from</span> <span class="token string">\'@reach/router\'</span>\n\n<span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>Link</span> <span class="token attr-name">to</span><span class="token attr-value"><span class="token punctuation">=</span><span class="token punctuation">"</span>somewhere<span class="token punctuation">"</span></span><span class="token punctuation">></span></span>Anywhere<span class="token tag"><span class="token tag"><span class="token punctuation">&lt;/</span>Link</span><span class="token punctuation">></span></span>\n</code></pre>\n<h2>to: string</h2>\n<p>The string URI to link to. Supports relative and absolute URIs.</p>\n<pre><code class="language-jsx"><span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>Link</span> <span class="token attr-name">to</span><span class="token attr-value"><span class="token punctuation">=</span><span class="token punctuation">"</span>relative<span class="token punctuation">"</span></span><span class="token punctuation">></span></span>Relative<span class="token tag"><span class="token tag"><span class="token punctuation">&lt;/</span>Link</span><span class="token punctuation">></span></span>\n<span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>Link</span> <span class="token attr-name">to</span><span class="token attr-value"><span class="token punctuation">=</span><span class="token punctuation">"</span>/absolute<span class="token punctuation">"</span></span><span class="token punctuation">></span></span>Absolute<span class="token tag"><span class="token tag"><span class="token punctuation">&lt;/</span>Link</span><span class="token punctuation">></span></span>\n<span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>Link</span> <span class="token attr-name">to</span><span class="token attr-value"><span class="token punctuation">=</span><span class="token punctuation">"</span>?relative=query&amp;sure=why+not<span class="token punctuation">"</span></span><span class="token punctuation">></span></span>Relative query<span class="token tag"><span class="token tag"><span class="token punctuation">&lt;/</span>Link</span><span class="token punctuation">></span></span>\n<span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>Link</span> <span class="token attr-name">to</span><span class="token attr-value"><span class="token punctuation">=</span><span class="token punctuation">"</span>../back-up<span class="token punctuation">"</span></span><span class="token punctuation">></span></span>Back up<span class="token tag"><span class="token tag"><span class="token punctuation">&lt;/</span>Link</span><span class="token punctuation">></span></span>\n</code></pre>\n<p>Please see the <a href="../nesting">Nesting</a> guide to know how to appropriately use relative links.</p>\n<h2>replace: bool</h2>\n<p>If <code>true</code>, the latest entry on the history stack will be replaced with a new one. Use this when you don’t want the previous page to show up when the user clicks the back button.</p>\n<pre><code class="language-jsx"><span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>Link</span> <span class="token attr-name">to</span><span class="token attr-value"><span class="token punctuation">=</span><span class="token punctuation">"</span>?query=some+new+query<span class="token punctuation">"</span></span> <span class="token attr-name">replace</span> <span class="token punctuation">/></span></span>\n</code></pre>\n<h2>ref: func</h2>\n<p>If using React &gt;=16.4, <code>Link</code> will forward its ref to you.</p>\n<pre><code class="language-jsx"><span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>Link</span> <span class="token attr-name">to</span><span class="token attr-value"><span class="token punctuation">=</span><span class="token punctuation">"</span>./<span class="token punctuation">"</span></span> <span class="token attr-name">ref</span><span class="token script language-javascript"><span class="token script-punctuation punctuation">=</span><span class="token punctuation">{</span>node <span class="token operator">=></span> <span class="token comment">/* ... */</span><span class="token punctuation">}</span></span> <span class="token punctuation">/></span></span>\n</code></pre>\n<h2>innerRef: func</h2>\n<p>Calls up with its inner ref for apps on React &lt;16.4. If using React &gt;=16.4, use <code>ref</code> instead.</p>\n<pre><code class="language-jsx"><span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>Link</span> <span class="token attr-name">to</span><span class="token attr-value"><span class="token punctuation">=</span><span class="token punctuation">"</span>./<span class="token punctuation">"</span></span> <span class="token attr-name">innerRef</span><span class="token script language-javascript"><span class="token script-punctuation punctuation">=</span><span class="token punctuation">{</span>node <span class="token operator">=></span> <span class="token comment">/* ... */</span><span class="token punctuation">}</span></span> <span class="token punctuation">/></span></span>\n</code></pre>\n<h2>getProps: func(obj)</h2>\n<p>Calls up to you to get props for the underlying anchor element. Useful for styling the anchor as active.</p>\n<p>Argument <code>obj</code> Properties:</p>\n<ul>\n<li><code>isCurrent</code> - true if the <code>location.pathname</code> is exactly the same as the anchor’s href.</li>\n<li><code>isPartiallyCurrent</code> - true if the <code>location.pathname</code> starts with the anchor’s href.</li>\n<li><code>href</code> - the fully resolved href of the link.</li>\n<li><code>location</code> - the app’s location.</li>\n</ul>\n<pre><code class="language-jsx"><span class="token comment">// this is only active when the location pathname is exactly</span>\n<span class="token comment">// the same as the href.</span>\n<span class="token keyword">const</span> <span class="token function-variable function">isActive</span> <span class="token operator">=</span> <span class="token punctuation">(</span><span class="token punctuation">{</span> isCurrent <span class="token punctuation">}</span><span class="token punctuation">)</span> <span class="token operator">=></span> <span class="token punctuation">{</span>\n  <span class="token keyword">return</span> isCurrent <span class="token operator">?</span> <span class="token punctuation">{</span> className<span class="token punctuation">:</span> <span class="token string">"active"</span> <span class="token punctuation">}</span> <span class="token punctuation">:</span> <span class="token punctuation">{</span><span class="token punctuation">}</span>\n<span class="token punctuation">}</span>\n\n<span class="token keyword">const</span> <span class="token function-variable function">ExactNavLink</span> <span class="token operator">=</span> props <span class="token operator">=></span> <span class="token punctuation">(</span>\n  <span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>Link</span> <span class="token attr-name">getProps</span><span class="token script language-javascript"><span class="token script-punctuation punctuation">=</span><span class="token punctuation">{</span>isActive<span class="token punctuation">}</span></span> <span class="token spread"><span class="token punctuation">{</span><span class="token punctuation">...</span><span class="token attr-value">props</span><span class="token punctuation">}</span></span> <span class="token punctuation">/></span></span>\n<span class="token punctuation">)</span>\n\n<span class="token comment">// this link will be active when itself or deeper routes</span>\n<span class="token comment">// are current</span>\n<span class="token keyword">const</span> <span class="token function-variable function">isPartiallyActive</span> <span class="token operator">=</span> <span class="token punctuation">(</span><span class="token punctuation">{</span>\n  isPartiallyCurrent\n<span class="token punctuation">}</span><span class="token punctuation">)</span> <span class="token operator">=></span> <span class="token punctuation">{</span>\n  <span class="token keyword">return</span> isPartiallyCurrent\n    <span class="token operator">?</span> <span class="token punctuation">{</span> className<span class="token punctuation">:</span> <span class="token string">"active"</span> <span class="token punctuation">}</span>\n    <span class="token punctuation">:</span> <span class="token punctuation">{</span><span class="token punctuation">}</span>\n<span class="token punctuation">}</span>\n\n<span class="token keyword">const</span> <span class="token function-variable function">PartialNavLink</span> <span class="token operator">=</span> props <span class="token operator">=></span> <span class="token punctuation">(</span>\n  <span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>Link</span> <span class="token attr-name">getProps</span><span class="token script language-javascript"><span class="token script-punctuation punctuation">=</span><span class="token punctuation">{</span>isPartiallyActive<span class="token punctuation">}</span></span> <span class="token spread"><span class="token punctuation">{</span><span class="token punctuation">...</span><span class="token attr-value">props</span><span class="token punctuation">}</span></span> <span class="token punctuation">/></span></span>\n<span class="token punctuation">)</span>\n</code></pre>\n<h2>state: object</h2>\n<p>An object to put on location state.</p>\n<pre><code class="language-jsx"><span class="token keyword">const</span> <span class="token function-variable function">NewsFeed</span> <span class="token operator">=</span> <span class="token punctuation">(</span><span class="token punctuation">)</span> <span class="token operator">=></span> <span class="token punctuation">(</span>\n  <span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>div</span><span class="token punctuation">></span></span>\n    <span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>Link</span>\n      <span class="token attr-name">to</span><span class="token attr-value"><span class="token punctuation">=</span><span class="token punctuation">"</span>photos/123<span class="token punctuation">"</span></span>\n      <span class="token attr-name">state</span><span class="token script language-javascript"><span class="token script-punctuation punctuation">=</span><span class="token punctuation">{</span><span class="token punctuation">{</span> fromFeed<span class="token punctuation">:</span> <span class="token boolean">true</span> <span class="token punctuation">}</span><span class="token punctuation">}</span></span>\n    <span class="token punctuation">/></span></span>\n  <span class="token tag"><span class="token tag"><span class="token punctuation">&lt;/</span>div</span><span class="token punctuation">></span></span>\n<span class="token punctuation">)</span>\n\n<span class="token keyword">const</span> <span class="token function-variable function">Photo</span> <span class="token operator">=</span> <span class="token punctuation">(</span><span class="token punctuation">{</span> location<span class="token punctuation">,</span> photoId <span class="token punctuation">}</span><span class="token punctuation">)</span> <span class="token operator">=></span> <span class="token punctuation">{</span>\n  <span class="token keyword">if</span> <span class="token punctuation">(</span>location<span class="token punctuation">.</span>state<span class="token punctuation">.</span>fromFeed<span class="token punctuation">)</span> <span class="token punctuation">{</span>\n    <span class="token keyword">return</span> <span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>FromFeedPhoto</span> <span class="token attr-name">id</span><span class="token script language-javascript"><span class="token script-punctuation punctuation">=</span><span class="token punctuation">{</span>photoId<span class="token punctuation">}</span></span> <span class="token punctuation">/></span></span>\n  <span class="token punctuation">}</span> <span class="token keyword">else</span> <span class="token punctuation">{</span>\n    <span class="token keyword">return</span> <span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>Photo</span> <span class="token attr-name">id</span><span class="token script language-javascript"><span class="token script-punctuation punctuation">=</span><span class="token punctuation">{</span>photoId<span class="token punctuation">}</span></span> <span class="token punctuation">/></span></span>\n  <span class="token punctuation">}</span>\n<span class="token punctuation">}</span>\n</code></pre>\n<h2>others</h2>\n<p>You can also pass props you’d like to be on the <code>&lt;a&gt;</code> such as a <code>title</code>, <code>id</code>, <code>className</code>, etc.</p>\n<pre><code class="language-jsx"><span class="token tag"><span class="token tag"><span class="token punctuation">&lt;</span>Link</span>\n  <span class="token attr-name">to</span><span class="token attr-value"><span class="token punctuation">=</span><span class="token punctuation">"</span>somewhere<span class="token punctuation">"</span></span>\n  <span class="token attr-name">className</span><span class="token attr-value"><span class="token punctuation">=</span><span class="token punctuation">"</span>whatev<span class="token punctuation">"</span></span>\n  <span class="token attr-name">onClick</span><span class="token script language-javascript"><span class="token script-punctuation punctuation">=</span><span class="token punctuation">{</span>youBet<span class="token punctuation">}</span></span>\n<span class="token punctuation">/></span></span>\n</code></pre>\n'}})}}}]);